Package org.apache.sling.caconfig.management.impl.console

# Class ConfigurationWebConsolePlugin

java.lang.Object
javax.servlet.GenericServlet
javax.servlet.http.HttpServlet
org.apache.felix.webconsole.AbstractWebConsolePlugin
org.apache.sling.caconfig.management.impl.console.ConfigurationWebConsolePlugin

All Implemented Interfaces:
  `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

public class ConfigurationWebConsolePlugin extends org.apache.felix.webconsole.AbstractWebConsolePlugin
Web console plugin to test configuration resolution.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`LABEL`
`static final String`
`TITLE`

### Fields inherited from class org.apache.felix.webconsole.AbstractWebConsolePlugin

`ATTR_FILEUPLOAD, ATTR_FILEUPLOAD_REPO, GET_RESOURCE_METHOD_NAME`

## Constructor Summary

Constructors
Constructor
Description
`ConfigurationWebConsolePlugin()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getLabel()`
`String`
`getTitle()`
`protected void`
`renderContent(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

### Methods inherited from class org.apache.felix.webconsole.AbstractWebConsolePlugin

`activate, deactivate, doGet, endResponse, getBrandingPlugin, getBundle, getBundleContext, getCategory, getCssReferences, getParameter, getResourceProvider, getServletName, getVariableResolver, isHtmlRequest, log, log, readTemplateFile, renderMenu, renderTopNavigation, sendRedirect, setBrandingPlugin, setLogLevel, startResponse`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LABEL

public static final String LABEL

See Also:
  - Constant Field Values

### TITLE

public static final String TITLE

See Also:
  - Constant Field Values

## Constructor Details

### ConfigurationWebConsolePlugin

public ConfigurationWebConsolePlugin()

## Method Details

### getLabel

public String getLabel()

Specified by:
  `getLabel` in class `org.apache.felix.webconsole.AbstractWebConsolePlugin`

### getTitle

public String getTitle()

Specified by:
  `getTitle` in class `org.apache.felix.webconsole.AbstractWebConsolePlugin`

### renderContent

protected void renderContent(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws javax.servlet.ServletException, IOException

Specified by:
  `renderContent` in class `org.apache.felix.webconsole.AbstractWebConsolePlugin`
Throws:
  `javax.servlet.ServletException`
  `IOException`